###

###

###

###

###

###

    MEMCMP(3)           Linux Programmer's Manual           MEMCMP(3)

    NAME
           memcmp - compare memory areas

    SYNOPSIS
           #include <string.h>

           int memcmp(const void *s1, const void *s2, size_t n);

    DESCRIPTION
           The  memcmp()  function  compares the first n bytes of the
           memory areas s1 and s2.  It returns an integer less  than,
           equal  to,  or  greater  than zero if s1 is found, respec-
           tively, to be less than, to match, or be greater than  s2.

    RETURN VALUE
           The  memcmp() function returns an integer less than, equal
           to, or greater than zero if the first n  bytes  of  s1  is
           found,  respectively,  to  be  less  than, to match, or be
           greater than the first n bytes of s2.

    CONFORMING TO
           SVID 3, BSD 4.3, ISO 9899

### SEE ALSO

bcmp, strcasecmp, strcmp, strcoll, strncmp, strncasecmp,

                              April 10, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0